QCAT - Bug #1910
User Story # 1897 (Closed): APl endpoints to add new cases

API Authentication: First successfull authentication answers with outdated token
17 Sep 2020 15:00 - Kurt Gerber

Status: Closed Start date: 17 Sep 2020
Priority: High Due date:

Assignee: Kurt Gerber % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Extend API to add cases Spent time: 0.00 hour
Resolution: fixed

Description

| authenticate through the API successfully with user name and password.
As response | receive a token,
When | use that token, in any other request for editing data through the API, it fails with the response:

"detail": "APP Token expired, request a new APP Token"
}

Effectively it responds with the token which | used the last time | was playing with editing through API. | can see that, as my last
Token is stored in postman in the different requests | formerly did.

But when | authenticate a second time, | get a new token, which then works.

That has to be solved, as in a mobile app, that would cause major problems.

History

#1 - 17 Sep 2020 18:17 - Brahadeesh Dheenadayalan_Sivakami
- Status changed from Accepted to Feedback

- Assignee changed from Brahadeesh Dheenadayalan_Sivakami to Kurt Gerber

Hi Kurt, this should be fixed up now.
| had logic to expire and re-issue the token when the Edit API endpoints were being used but not on the Auth endpoint.
Easy fix!

#2 - 21 Sep 2020 13:28 - Kurt Gerber
- Status changed from Feedback to Closed

- Resolution set to fixed

Solved. Works now.
